# cwl_utils.tests.test_docker_extract

Tests for cwl-docker-extract.

## Functions

`test_container_extraction`(target, engine, tmp_path) | Test container extraction tool.
`test_container_extraction_force`(engine, tmp_path) | Test force pull container extraction.
`test_container_extraction_no_dockerPull`(engine, ...) | Test container extraction tool when dockerPull is missing.
`test_container_extraction_embedded_step`(engine, tmp_path) | Test container extraction tool.

## Module Contents

cwl_utils.tests.test_docker_extract.test_container_extraction(target, engine, tmp_path)

  Test container extraction tool.

  Parameters:

    - target (str)

    - engine (str)

    - tmp_path (pathlib.Path)

  Return type:

    None

cwl_utils.tests.test_docker_extract.test_container_extraction_force(engine, tmp_path)

  Test force pull container extraction.

  Parameters:

    - engine (str)

    - tmp_path (pathlib.Path)

  Return type:

    None

cwl_utils.tests.test_docker_extract.test_container_extraction_no_dockerPull(engine, tmp_path, capsys)

  Test container extraction tool when dockerPull is missing.

  Parameters:

    - engine (str)

    - tmp_path (pathlib.Path)

    - capsys (pytest.CaptureFixture[str])

  Return type:

    None

cwl_utils.tests.test_docker_extract.test_container_extraction_embedded_step(engine, tmp_path)

  Test container extraction tool.

  Parameters:

    - engine (str)

    - tmp_path (pathlib.Path)

  Return type:

    None